#include "colour.h"

// Default colors.
glColour cWhite     = { .r = 1.00, .g = 1.00, .b = 1.00, .a = 1. };
glColour cGrey90    = { .r = 0.90, .g = 0.90, .b = 0.90, .a = 1. };
glColour cGrey80    = { .r = 0.80, .g = 0.80, .b = 0.80, .a = 1. };
glColour cGrey70    = { .r = 0.70, .g = 0.70, .b = 0.70, .a = 1. };
glColour cGrey60    = { .r = 0.60, .g = 0.60, .b = 0.60, .a = 1. };
glColour cGrey50    = { .r = 0.50, .g = 0.50, .b = 0.50, .a = 1. };
glColour cGrey40    = { .r = 0.40, .g = 0.40, .b = 0.40, .a = 1. };
glColour cGrey30    = { .r = 0.30, .g = 0.30, .b = 0.30, .a = 1. };
glColour cGrey20    = { .r = 0.20, .g = 0.20, .b = 0.20, .a = 1. };
glColour cGrey10    = { .r = 0.10, .g = 0.10, .b = 0.10, .a = 1. };
glColour cBlack     = { .r = 0.00, .g = 0.00, .b = 0.00, .a = 1. };

glColour cGreen     = { .r = 0.20, .g = 0.80, .b = 0.20, .a = 1. };
glColour cDarkRed   = { .r = 0.60, .g = 0.10, .b = 0.10, .a = 1. };
glColour cRed       = { .r = 0.80, .g = 0.20, .b = 0.20, .a = 1. };
glColour cYellow    = { .r = 0.80, .g = 0.80, .b = 0.00, .a = 1. };
glColour cDarkBlue  = { .r = 0.10, .g = 0.20, .b = 0.80, .a = 1. };
glColour cBlue      = { .r = 0.20, .g = 0.20, .b = 0.80, .a = 1. };

// Game specific.
glColour cConsole           = { .r = 0.1, .g = 0.9, .b = 0.1, .a = 1. };
glColour cDConsole          = { .r = 0.0, .g = 0.7, .b = 0.0, .a = 1. };
// Toolkit.
glColour cHilight           = { .r = 0.1, .g = 0.9, .b = 0.1, .a = 0.3 };
// Objects
glColour cInert             = { .r = 0.6, .g = 0.6, .b = 0.6, .a = 1. };
glColour cNeutral           = { .r = 0.9, .g = 1.0, .b = 0.3, .a = 1. };
glColour cFriend            = { .r = 0.0, .g = 1.0, .b = 0.0, .a = 1. };
glColour cHostile           = { .r = 0.9, .g = 0.2, .b = 0.2, .a = 1. };
// Radar
glColour cRadar_player      = { .r = 0.4, .g = 0.8, .b = 0.4, .a = 1. };
glColour cRadar_targ        = { .r = 0.0, .g = 0.7, .b = 1.0, .a = 1. };
glColour cRadar_weap        = { .r = 0.8, .g = 0.2, .b = 0.2, .a = 1. };
// Bars.
glColour cShield            = { .r = 0.2, .g = 0.2, .b = 0.8, .a = 1. };
glColour cArmour            = { .r = 0.5, .g = 0.5, .b = 0.5, .a = 1. };
glColour cEnergy            = { .r = 0.2, .g = 0.8, .b = 0.2, .a = 1. };

